import config as config
import db

import credentials

class Test_Module():
    def __init__(self):
        super().__init__()
        self.dbCredential: credentials.DB_Credential

    def main(self):
        print("[TEST Module]> test")


if __name__ == "__main__":
    testModule = Test_Module()

    credentials_manager = credentials.Credentials_Module()
    credentials_manager.load_credentials()
    testModule.dbCredential = credentials_manager.find_DB_Credential(config.credentialsNickname)
    testModule.main()